ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Deepak Dixit <deepak.di...@hotwaxsystems.com>
Subject Re: Requesting help for Ofbiz upgrade
Date Thu, 09 Feb 2017 07:41:20 GMT
Hi Amalesh,

There are lots of changes done for release 16.11.
<https://blogs.apache.org/ofbiz/entry/announce_apache_ofbiz_16_11>
you can find these changes at following place:
https://ofbiz.apache.org/release-notes-16.11.01.html

Some Major changes that may need to address while upgrading to 16.11
release:

- [OFBIZ-5169 <https://issues.apache.org/jira/browse/OFBIZ-5169>] -
Removing Javolution from framework components
- [OFBIZ-7534 <https://issues.apache.org/jira/browse/OFBIZ-7534>] - Migrate
OFBiz from Apache Ant to Gradle build system
- [OFBIZ-6810] <https://issues.apache.org/jira/browse/OFBIZ-6810> -
Refactor components regarding freemarker file locations
- [OFBIZ-6981 <https://issues.apache.org/jira/browse/OFBIZ-6981>] - Move
all Groovy scripts in components WEB-INF/actions sub-folders
- [OFBIZ-6849 <https://issues.apache.org/jira/browse/OFBIZ-6849>] - Use
only HTTPS in OFBiz



Thanks & Regards
--
Deepak Dixit
www.hotwaxsystems.com

On Thu, Feb 9, 2017 at 12:19 PM, Sumit Pandit <sumit.pandit@tcs.com> wrote:

> Hi Amalesh,  It will be challenge if custome changes were done in OFBiz
> components.  But if custom implementation is in hot-deploy then provably
> the approach would be
>
> 1. Copy your components in 16.x hot-deploy,
> 2. Build and first fix build issues.
> 3. Start testing with your test case scenarios and fix the issue occurred.
> 4. while up-grading, it need to observe that any of your custom
> implementation might be available OOTB. And its your take to use OOTB
> implementation or your custom one.
>
> --
> Regards
> Sumit Pandit
> sumit.pandit@tcs.com
>
>
> ________________________________________
> From: amalesh paul <amalesh.prsa@gmail.com>
> Sent: Wednesday, February 8, 2017 4:33 PM
> To: user@ofbiz.apache.org
> Subject: Requesting help for Ofbiz upgrade
>
> Hello,
>         This is Amalesh, I am using Ofbiz version 10.04. I would like to
> upgrade to latest version 16.11.01. I downloaded the latest version and
> tested it and it is working fine and great.
>         Could you please tell me, how to upgrade my Ofbiz 10.04 to 16. If
> it is not possible, how can I bring the components from old version 10.04
> to new one 16.11.01.
>         Please send me the Developer guide for latest version 16.11.01.
>
> Thank You.
>
> --
>
> *Warm Regards,*
> *Amalesh.R*
> *9677843593.*
> =====-----=====-----=====
> Notice: The information contained in this e-mail
> message and/or attachments to it may contain
> confidential or privileged information. If you are
> not the intended recipient, any dissemination, use,
> review, distribution, printing or copying of the
> information contained in this e-mail message
> and/or attachments to it are strictly prohibited. If
> you have received this communication in error,
> please notify us by reply e-mail or telephone and
> immediately and permanently delete the message
> and any attachments. Thank you
>
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message